Outil de diagnostic DirectX

Outil de diagnostic DirectX

La documentation de l'outil de diagnostic Microsoft® DirectX® contient les rubriques suivantes :

  • À propos de l'outil de diagnostic DirectX
  • Recherches que vous devez effectuer
  • Test des composants DirectX
  • Remplacement du comportement par défaut


À propos de l'outil de diagnostic DirectX

L'outil de diagnostic Microsoft® DirectX® donne des informations sur les composants et les pilotes de l'interface de programmation d'applications (API) DirectX de votre système et vous permet de tester le son et les graphiques, ainsi que les fournisseurs de services Microsoft DirectPlay®. Il vous permet également de désactiver certaines fonctionnalités d'accélération matérielle.

À l'aide de cet outil, vous pouvez rassembler les informations dont vous avez besoin pour appeler un technicien du Support technique ou vous pouvez enregistrer ces informations et les coller dans un message électronique.

Les informations sont présentées dans plusieurs pages. Vous pouvez vous déplacer de page en page en utilisant une des méthodes suivantes :

  • Cliquez sur les onglets.
  • Cliquez sur le bouton Page suivante.
  • Appuyez sur les touches de direction GAUCHE ou DROITE lorsqu'un onglet est activé.

Vous pouvez également cliquer sur le bouton Enregistrer toutes les informations afin d'enregistrer toutes les informations dans un fichier texte.

Remarque Certaines informations, telles que la taille de la mémoire sur une carte graphique, peuvent être approximatives.


Recherches que vous devez effectuer

Si vous rencontrez des problèmes lors de l'exécution des applications Microsoft® DirectX®, l'outil de diagnostic DirectX peut vous aider à trouver la source de ces problèmes. Voici les éléments vers lesquels vous devez orienter vos recherches :

  • Versions incorrectes des composants DirectX. Dans la section Notes de la page Fichiers DirectX, recherchez les avertissements concernant les fichiers bêta et de débogage. Les fichiers bêta sont des anciennes versions de test et ne doivent pas être installés avec les versions commercialisées des applications. Les versions de débogage, qui sont utilisées dans le développement de programme et qui ne doivent pas non plus être utilisées avec le produit final, peuvent exécuter les applications de manière beaucoup plus lente qu'avec les versions commercialisées des composants.
  • Manque d'accélération matérielle. Certains programmes s'exécutent très lentement ou pas du tout sauf si l'accélération matérielle de Microsoft DirectDraw® ou Direct3D® est disponible. Dans la page Afficher, recherchez sous Fonctionnalités DirectX la mention « Aucune accélération disponible » pour DirectDraw, Direct3D ou la texture AGP. Si cette mention existe, envisagez de mettre à niveau votre matériel.
  • Périphérique non connecté. Si une manette de jeu ou un autre périphérique d'entrée ne répondent pas, il est possible qu'ils ne soient pas correctement installés. Assurez-vous que le périphérique se trouve dans la page Entrée de l'outil de diagnostic DirectX. Si tel n'est pas le cas, ajoutez-le par l'intermédiaire du Panneau de configuration.
  • Pilotes non certifiés. Microsoft n'a pas testé les pilotes non certifiés avec la toute dernière version de DirectX au niveau de la compatibilité. Ces pilotes sont répertoriés dans la page des composants appropriés.


Test des composants DirectX

Vous pouvez tester Microsoft® DirectDraw® et Direct3D® sur chaque moniteur connecté à votre système. Vous pouvez également tester DirectSound® sur chaque périphérique de sortie son et DirectMusic® sur chaque port de musique.

Pour tester une fonctionnalité DirectX : cliquez sur le bouton Tester de la page appropriée, lisez tous les messages qui s'affichent et observez ou écoutez les tests. Laissez chaque test s'exécuter jusqu'à ce qu'un message s'affiche vous demandant si le test a réussi. Si vous répondez Non, aucun autre test ne s'exécute.

Dans le cas de DirectMusic, il n'existe qu'un seul test. Cliquez sur OK lorsque vous êtes satisfait par le test du son de votre musique.

Vous pouvez tester la fonctionnalité DirectPlay® sur tous les fournisseurs de services disponibles.

flèche de procédure Pour tester DirectPlay

  1. Dans la page Réseau, cliquez sur Tester DirectPlay. Dans la boîte de dialogue Test DirectPlay, tapez un nom d'utilisateur et choisissez un fournisseur de services. Sélectionnez Créer une nouvelle session, puis cliquez sur OK. Si vous avez choisi une connexion par modem, cliquez sur Répondre dans la boîte de dialogue Connexion par modem afin de mettre le modem en mode de réponse automatique.
  2. À présent, exécutez l'outil de diagnosticMicrosoft DirectX® sur un autre ordinateur qui peut établir la connexion sélectionnée avec le premier ordinateur. Cliquez sur Tester DirectPlay, tapez un autre nom d'utilisateur, choisissez le même fournisseur de services, sélectionnez Se joindre à une session existante, puis cliquez sur OK.

    3. Pour certains types de connexion, vous pouvez être invité à fournir davantage d'informations, telles qu'un numéro de téléphone. Pour une connexion TCP/IP sur un réseau local, vous pouvez laisser la zone de texte vide.

  3. Sur le second ordinateur, dans la Liste de sessions contenant le nom de la session que vous avez créée sur le premier ordinateur, sélectionnez le nom de la session, puis cliquez sur OK.
  4. Les deux ordinateurs doivent à présent afficher une boîte de dialogue de conversation. Tapez un message dans la zone de saisie de l'un des ordinateurs, puis cliquez sur Envoyer. Le message apparaît dans la zone déroulante de la boîte de dialogue de conversation sur les deux ordinateurs.


Remplacement du comportement par défaut

Dans la page Son, vous pouvez définir un autre niveau d'accélération matérielle en déplaçant le curseur. Ce niveau reste toujours en vigueur après la fermeture de l'outil de diagnostic Microsoft® DirectX®.

Remarque Cette fonctionnalité n'est pas disponible sous Microsoft Windows® 95.

Vous pouvez désactiver l'accélération matérielle pour Microsoft DirectDraw® ou Direct3D® (si cette accélération est disponible). Pour ce faire, rendez-vous dans la page Afficher pour chaque périphérique d'affichage, puis cliquez sur le bouton Désactiver. Une fois l'accélération matérielle désactivée, cette dernière n'est plus disponible pour aucune application (même après la fermeture de l'outil de diagnostic DirectX). Pour réactiver cette accélération, cliquez sur le bouton Activer de la page Afficher appropriée.

Remarque La désactivation de l'accélération de DirectDraw entraîne celle de Direct3D.

Vous pouvez également remplacer la fréquence de rafraîchissement du moniteur définie par les applications plein écran de DirectDraw. Cette opération est nécessaire uniquement si vous rencontrez des problèmes d'affichage avec une application et si vous pensez que celle-ci a défini une fréquence de rafraîchissement inappropriée.

flèche de procédure Pour définir une nouvelle fréquence de rafraîchissement

  1. Dans la page Aide supplémentaire, cliquez sur le bouton Remplacer.
  2. Dans la boîte de dialogue Remplacer la fréquence de rafraîchissement par défaut de DirectDraw, sélectionnez la zone de modification, puis tapez une fréquence de rafraîchissement valide pour votre moniteur.

    3. Lorsque vous effectuez cette opération, la case d'option Remplacer par la valeur est automatiquement sélectionnée.

  3. Cliquez sur OK.

flèche de procédure Pour annuler la fréquence de rafraîchissement de remplacement et permettre aux applications DirectDraw de définir leur propre fréquence

  1. Dans la page Aide supplémentaire, cliquez sur le bouton Remplacer.
  2. Dans la boîte de dialogue Remplacer la fréquence de rafraîchissement par défaut de DirectDraw, sélectionnez la case d'option Par défaut, puis cliquez sur OK.


Rubrique introuvable

Aucune rubrique correspondante n'a été trouvée. Vous trouverez ci-dessous quelques causes possibles et leurs solutions :

  • Le fichier (.chm) qui contient la rubrique de destination ne se trouve pas à l'emplacement prévu.

    • Solution : Réexécutez le programme d'installation de MSDN Library.

  • Le fichier (.chm) qui contient la rubrique en cours ou de destination est périmé et le lien n'est plus valide.

    • Solution : Installez la dernière version de MSDN Library.

  • Le CD-ROM de MSDN Library ne se trouve pas dans le lecteur de CD-ROM.

    • Solution : Insérez le CD-ROM de MSDN Library dans le lecteur de CD-ROM.